 # ---------------------------------------------------------------------
 #
 # Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
 #                        pour la SantÈ)
 # Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
 # Previous Authors : Laurent Guigues, Jean-Pierre Roux
 # CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
 #
 #  This software is governed by the CeCILL-B license under French law and
 #  abiding by the rules of distribution of free software. You can  use,
 #  modify and/ or redistribute the software under the terms of the CeCILL-B
 #  license as circulated by CEA, CNRS and INRIA at the following URL
 #  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
 #  or in the file LICENSE.txt.
 #
 #  As a counterpart to the access to the source code and  rights to copy,
 #  modify and redistribute granted by the license, users are provided only
 #  with a limited warranty  and the software's author,  the holder of the
 #  economic rights,  and the successive licensors  have only  limited
 #  liability.
 #
 #  The fact that you are presently reading this means that you have had
 #  knowledge of the CeCILL-B license and that you accept its terms.
 # ------------------------------------------------------------------------ */


#===========================================================================
# PACKAGE DEPENDENCIES
# TO DO ...
#===========================================================================


#===========================================================================
# MESSAGES
IF(FIND_PACKAGE_VERBOSE)
  MESSAGE(STATUS "bbtk package '${BBTK_PACKAGE_NAME}' properly configured :")
#  MESSAGE(STATUS "* Version     = ${${BBTK_PACKAGE_NAME}_MAJOR_VERSION}.${${BBTK_PACKAGE_NAME}_MINOR_VERSION}.${${BBTK_PACKAGE_NAME}_BUILD_VERSION}")
  MESSAGE(STATUS "* Author      = ${${BBTK_PACKAGE_NAME}_AUTHOR}")
  MESSAGE(STATUS "* Description = ${${BBTK_PACKAGE_NAME}_DESCRIPTION}")
  
  IF(${BBTK_PACKAGE_NAME}_USE_WXWIDGETS)
    SET(DEPS "${DEPS} wxWidgets")  
  ENDIF(${BBTK_PACKAGE_NAME}_USE_WXWIDGETS)
  
  IF(${BBTK_PACKAGE_NAME}_USE_VTK)
    SET(DEPS "${DEPS} vtk")
  ENDIF(${BBTK_PACKAGE_NAME}_USE_VTK)
  
  IF(${BBTK_PACKAGE_NAME}_USE_ITK)
    SET(DEPS "${DEPS} itk")
  ENDIF(${BBTK_PACKAGE_NAME}_USE_ITK)
  
  IF(${BBTK_PACKAGE_NAME}_USE_GDCM)      
    SET(DEPS "${DEPS} gdcm")
  ENDIF(${BBTK_PACKAGE_NAME}_USE_GDCM)      

  IF(${BBTK_PACKAGE_NAME}_USE_GDCM2)      
    SET(DEPS "${DEPS} gdcm2")
  ENDIF(${BBTK_PACKAGE_NAME}_USE_GDCM2)
     
  IF(${BBTK_PACKAGE_NAME}_USE_GSMIS)
    SET(DEPS "${DEPS} gsmis")
  ENDIF(${BBTK_PACKAGE_NAME}_USE_GSMIS)
  
  SET(DEPS "${DEPS} ${${BBTK_PACKAGE_NAME}_USE_PACKAGES}")
  
  MESSAGE(STATUS "* Deps        = ${DEPS}")
  
#SET(${BBTK_PACKAGE_NAME}_INCLUDE_DIRS)
#SET(${BBTK_PACKAGE_NAME}_LIBS) 

ENDIF(FIND_PACKAGE_VERBOSE)
#===========================================================================
